# gserrors.py -- Error codes from Ghostscript

# PostScript Level 1 Errors (taken from the #defines in ierrors.h)
e_unknownerror = -1
e_dictfull = -2
e_dictstackoverflow = -3
e_dictstackunderflow = -4
e_execstackoverflow = -5
e_interrupt = -6
e_invalidaccess = -7
e_invalidexit = -8
e_invalidfileaccess = -9
e_invalidfont = -10
e_invalidrestore = -11
e_ioerror = -12
e_limitcheck = -13
e_nocurrentpoint = -14
e_rangecheck = -15
e_stackoverflow = -16
e_stackunderflow = -17
e_syntaxerror = -18
e_timeout = -19
e_typecheck = -20
e_undefined = -21
e_undefinedfilename = -22
e_undefinedresult = -23
e_unmatchedmark = -24
e_VMerror = -25
# End of PostScript Level 1 Errors

# Level 2 PostScript Errors
e_configurationerror = -26
e_undefinedresource = -27
e_unregistered = -28

# ------ Additional DPS errors ------
e_invalidcontext = -29

# invalidid is for the NeXT DPS extension.
e_invalidid = -30

# Error/Information Codes
e_Fatal = -100
e_Quit = -101
e_InterpreterExit = -102
e_RemapColor = -103
e_ExecStackUnderflow = -104
e_VMreclaim = -105
e_NeedInput = -106

e_Info = -110

